Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.dom
Class CDATASectionImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.CharacterDataImpl
                  weblogic.apache.xerces.dom.TextImpl
                      weblogic.apache.xerces.dom.CDATASectionImpl

All Implemented Interfaces:
  CDATASection, CharacterData, Cloneable, EventTarget, Node, NodeList, Serializable, Text

Direct Known Subclasses:
  DeferredCDATASectionImpl

Deprecated. please use JDK supplied XML parsers and transformers

public class CDATASectionImpl
extends TextImpl
implements CDATASection

XML provides the CDATA markup to allow a region of text in which most of the XML delimiter recognition does not take place. This is intended to ease the task of quoting XML fragments and other programmatic information in a document's text without needing to escape these special characters. It's primarily a convenience feature for those who are hand-editing XML.

CDATASection is an Extended DOM feature, and is not used in HTML contexts.

Within the DOM, CDATASections are treated essentially as Text blocks. Their distinct type is retained in order to allow us to properly recreate the XML syntax when we write them out.

Reminder: CDATA IS NOT A COMPLETELY GENERAL SOLUTION; it can't quote its own end-of-block marking. If you need to write out a CDATA that contains the ]]> sequence, it's your responsibility to split that string over two successive CDATAs at that time.

CDATA does not participate in Element.normalize() processing.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Since:
  PR-DOM-Level-1-19980818.
See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.CharacterDataImpl
`data`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`CDATASectionImpl(CoreDocumentImpl ownerDoc, String data)` Deprecated. Factory constructor for creating a CDATA section.

Method Summary
`String` | `getNodeName()` Deprecated. Returns the node name.
`short` | `getNodeType()` Deprecated. A short integer indicating what type of node this is.
`boolean` | `isElementContentWhitespace()` Deprecated.

Methods inherited from class weblogic.apache.xerces.dom.TextImpl
`getIsWhitespaceInElementContent, getWholeText, isIgnorableWhitespace, removeData, replaceData, replaceWholeText, setIgnorableWhitespace, setValues, splitText`

Methods inherited from class weblogic.apache.xerces.dom.CharacterDataImpl
`appendData, deleteData, getChildNodes, getData, getLength, getNodeValue, insertData, replaceData, setData, setNodeValue, setNodeValueInternal, substringData`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`cloneNode, getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getAttributes, getBaseURI, getFirstChild, getInterface, getLastChild, getLocalName, getNamespaceURI, getOwnerDocument, getPrefix, getReadOnly, getTextContent, getUserData, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, item, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, normalize, removeChild, removeEventListener, replaceChild, setPrefix, setReadOnly, setTextContent, setUserData, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Text
`getWholeText, replaceWholeText, splitText`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### CDATASectionImpl

    public CDATASectionImpl(CoreDocumentImpl ownerDoc,
                            String data)

  Deprecated.
  Factory constructor for creating a CDATA section.

Method Detail

### getNodeName

    public String getNodeName()

  Deprecated.
  Returns the node name.

  Specified by:
    `getNodeName` in interface `Node`
  Overrides:
    `getNodeName` in class `TextImpl`

### getNodeType

    public short getNodeType()

  Deprecated.
  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.

  Specified by:
    `getNodeType` in interface `Node`
  Overrides:
    `getNodeType` in class `TextImpl`

### isElementContentWhitespace

    public boolean isElementContentWhitespace()
                                       throws DOMException

  Deprecated.
  Specified by:
    `isElementContentWhitespace` in interface `Text`
  Overrides:
    `isElementContentWhitespace` in class `TextImpl`
  Throws:
    `DOMException`
  Excluded: Should not appear in public javadocs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD